camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <>
Subject Re: [PROPOSAL] - camel-test - @deprecate JUnit 3.x API
Date Thu, 29 Dec 2011 02:09:29 GMT


I actually forgot about this.   A few months ago, I did go through many of the 
in-tree test cases that were still using the Junit3 version and changed them 
to use the Junit4 base class.   When I did that, I was going to suggest the 
same thing, but forgot.  :-(


On Wednesday, December 28, 2011 4:08:56 PM Claus Ibsen wrote:
> Hi
> The camel-test component supports currently both JUnit 3.x and 4.x,
> each in separate package.
> Supporting both requires us to have a fair amount of duplicated code,
> one for 3.x and another for 4.x.
> I suggest to @deprecated the JUnit 3.x part of the camel-test component.
> Then we can remove support for 3.x in Camel 3.0.
> Any thoughts?
Daniel Kulp -
Talend Community Coder -

View raw message